Bug 848065 - --distro param truncates tag string
--distro param truncates tag string
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 09:49 EDT by Tomas Mlcoch
Modified: 2014-01-21 18:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 952291 (view as bug list)
Environment:
Last Closed: 2013-08-05 03:15:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mlcoch 2012-08-14 09:49:11 EDT
Description of problem:
Param "--distro cpeid,tag" truncates the tag (leaves only a first character).

Version-Release number of selected component (if applicable):
createrepo-0.9.9-12.fc18.noarch
yum.noarch 0:3.4.3-30.fc18
yum-utils-1.1.31-6.fc18.noarch

How reproducible:
always

Steps to Reproduce:
createrepo . --distro "foo" --distro "123,abc"
  
Actual results:
In repomd.xml:
...
 <tags>
   <distro>f</distro>
   <distro cpeid="123">a</distro>
 </tags>

...

Expected results:
In repomd.xml:
...
  <tags>
    <distro>foo</distro>
    <distro cpeid="123">abc</distro>
  </tags>
...
Comment 1 Zdeněk Pavlas 2012-08-15 08:30:06 EDT
Fixed in HEAD.
Comment 2 Fedora Update System 2012-08-17 16:16:48 EDT
yum-3.4.3-32.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-32.fc18
Comment 3 Fedora Update System 2012-08-27 06:52:38 EDT
yum-3.4.3-34.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-34.fc18
Comment 4 Fedora Update System 2012-08-27 12:30:21 EDT
Package yum-3.4.3-34.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-34.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12756/yum-3.4.3-34.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-28 19:34:48 EDT
yum-3.4.3-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-36.fc18
Comment 6 Fedora End Of Life 2013-04-03 16:37:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.